Continuous Integration toolbox
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
cmf
files/fakeswap
repository
scripts
vagrant
.gitignore
.gitmodules
CONTACTS.md
FAQ.md
LICENSE
README.md
ansible.sh
config.yml
inventory

README.md

CIBox (Continuous Integration Box)

Quick Start

  • Add your host credentials to the inventory file.
  • ./ansible.sh provision --project=<NAME> [--limit=<HOST>]
  • ./ansible.sh repository --project=<NAME> [--cmf=drupal] [--version=7.41] [--host=https://github.com] [--vendor=drupal] [--adminer=4.2.2|none]

Examples

Drupal 7 (standard system):

./ansible.sh repository --project=test

WordPress 4 (supported system):

./ansible.sh repository --project=test --cmf=wordpress --version=4.3.1

CIBox mailing list

WIKI

https://github.com/propeoplemd/cibox/wiki

TIP:

Don't forget to setup all http://ci_hostname:8080/configure settings with CHANGE_ME... placeholders to be able meet project requirements. Also you should change all CHANGE_ME placeholders for DEMO and PR builders jobs as well.

You have to use 64bit Ubuntu 14.04 LTS system for CI server

Possible variations

Currently provision.yml playbook powered with tags, so you can run only part of it.

./ansible.sh jenkinsbox --tags="TAGNAME"
  • php-stack
  • solr
  • jenkins
  • composer
  • pear
  • drush
  • xhprof
  • sniffers
  • apache
  • mysql
  • swap
  • ssl-config

OpenVZ support

If your system build on OpenVZ stack and swap is disabled you may bypass it with using fakeswap.sh file within files/fakeswap directory.

chmod a+x fakeswap.sh
sh ./fakeswap.sh 4086

for adding 4086MB swap size.

Roles not used by default

  • cibox-phpdaemon: HP project for installing phpdaemon;
  • ansible-role-php-pecl: originally developed by @geerlingguy but without dependency from his PHP playbook. Can be used for installing PECL packages.

Dependencies

Name Version
Git 1.7+
Vagrant 1.7+
Ansible 1.9+
VirtualBox 4.0+